Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class Contexts

    java.lang.Object
      org.jboss.seam.core.Contexts

    @Name(value="org.jboss.seam.core.contexts")
    @BypassInterceptors
    @Install(precedence=0)
    @Scope(value=STATELESS)
    public class Contexts

extends Object

Provides access to the current contexts associated with the thread.

Author:
  Gavin King

Constructor Summary
`Contexts()`

Method Summary
`Context` | `getApplicationContext()`
`Context` | `getBusinessProcessContext()`
`Context` | `getConversationContext()`
`Context` | `getEventContext()`
`Context` | `getMethodContext()`
`Context` | `getPageContext()`
`Context` | `getSessionContext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Contexts

    public Contexts()

Method Detail

### getEventContext

    @Factory(value="org.jboss.seam.core.eventContext",
             autoCreate=true)
    public Context getEventContext()

### getMethodContext

    @Factory(value="org.jboss.seam.core.methodContext",
             autoCreate=true)
    public Context getMethodContext()

### getPageContext

    @Factory(value="org.jboss.seam.core.pageContext",
             autoCreate=true)
    public Context getPageContext()

### getSessionContext

    @Factory(value="org.jboss.seam.core.sessionContext",
             autoCreate=true)
    public Context getSessionContext()

### getApplicationContext

    @Factory(value="org.jboss.seam.core.applicationContext",
             autoCreate=true)
    public Context getApplicationContext()

### getConversationContext

    @Factory(value="org.jboss.seam.core.conversationContext",
             autoCreate=true)
    public Context getConversationContext()

### getBusinessProcessContext

    @Factory(value="org.jboss.seam.core.businessProcessContext",
             autoCreate=true)
    public Context getBusinessProcessContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD